Subject: [OT] RE: cat /proc/registry/HKEY_PERFOMANCE_DATA/@ hangs
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 14 Jul 2004 18:25:50 +0100

> -----Original Message-----
> From: cygwin-owner On Behalf Of Corinna Vinschen
> Sent: 14 July 2004 18:15

> On Jul 14 17:58, Dave Korn wrote:
> > > -----Original Message-----
> > > From: cygwin-owner On Behalf Of Igor Pechtchanski
> > > Sent: 14 July 2004 04:22
> > 
> > > Ok, the theory washed out.  The code above is actually simply 
> > > buggy.  When
> > > RegQueryValueEx is called (2 lines below the arrow), the 
> > > "size" parameter
> > > is uninitialized, so, in effect, it keeps thinking that 
> the buffer has
> > > some random size and reallocating (which, of course, doesn't 
> > > change the
> > > size, hence the infinite loop).
> > 
> >   I concur; that is bad code.  The variable unambiguously needs
> > initialising, and since RegQueryValueEx damages it, it 
> needs to be re-set
> > each time round the loop.  
> > [...]
> 
> I'm wondering if that isn't mildly OT here.  Shouldn't that 
> be discussed
> on cygwin-developers in a perfect world?
> 
> Corinna

  Well, the thread's more-or-less over now, I would have thought.  Still
expecting one more post from Igor saying "Yes, I was testing the wrong
version of the dll", and his changelog entry, but that should bring it to a
close.

  Still, I've sent in a subscription request anyway  [Note Cc!].  I've never
paid much attention to that list before.  I notice that even the list
archive is closed if you aren't subbed - surely that's a bit WJM?  I can
understand having subscribers-only posting rules, and I can understand
wanting to have only serious developers posting there, but I don't see why
it shouldn't be viewable and searchable for everyone else.

    cheers, 
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/